<?php
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'config.php';
$align='left';

$title='Поиск';
aut();
head();
who_add(0,'enter');
echo '<br />';



if (empty($act)){
if ($ver!='wml')echo '<form action="search?act=search&amp;'.SID.'" method="post">';

echo 'Кого ищем?:<br /><input type="text" name="nick" maxlength="15" title="Text"/><br/>';

echo 'Искать по:<br/>
<select name="mode">
<option value="nick">Нику/ID</option>
<option value="name">Имени</option>
<option value="surname">Фамилии</option>
<option value="country">Стране</option>
<option value="city">Городу</option>
<option value="school">Школе</option>
<option value="val">Месту работы</option>
<option value="info">О себе</option>
<option value="year">Год рождения</option>
</select><br/><br />';

if ($ver=='wml'){
echo '<anchor title="go">Искать<go href="search?act=search&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick"/>
<postfield name="mode" value="$mode"/>
</go></anchor><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Искать"/></form><br /><br />';
}

}else{
$nick = check($_POST['nick']);
$mode = check($_POST['mode']);


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];


if ($mode==nick) {
if (!ctype_digit($nick)) {
$ruser = rus_to_k($nick);

$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where ruser = '".$ruser."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where ruser = '".$ruser."' order by id LIMIT $start, $max");

} else {

$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where id = '".$nick."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where id = '".$nick."' order by id LIMIT $start, $max");

}

}else{
$select = $db->sql_query("select * from users where `".$mode."` LIKE '%$nick%'");

$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where `".$mode."` LIKE '%$nick%'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where `".$mode."` LIKE '%$nick%' order by id LIMIT $start, $max");

}

if ($k_post == 0)echo 'Совпадений не нйдено...<br />';
$post_k=$start+1;
if ($k_post != 0)echo 'Найдено: '.$k_post.'';
echo "<dt></dt><br />";

while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.nik($a['id']).'</b>'.div;

echo '<dl></dl>';
}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('perevod?mod='.$mod.'&amp;act=posts&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}


echo '<br />';
echo gb.'<a href="index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div;
foot();
?>